import React, { Children, Component } from 'react'
import styled, {withTheme, createGlobalStyle} from 'styled-components'

export class Overlay extends Component {
    render() {
        const GlobalStyle = createGlobalStyle`
        #root{
           overflow : hidden ;
           //pointer-events:none;
           //user-select: none;
        }
        `;
        const OverlayWrapper = styled.div`
        user-select: all;
        pointer-events: all;
        filter: blur(0);
        position: fixed;
        top: 0;
        left: 0;
        width: calc(100vw - 4em);
        margin: 2em;
        height: calc(100vh - 4em);
        z-index: 2;
        border-radius: 1em;
        padding: 1em;
        color: ${this.props.theme.colours.color3};
        background: ${this.props.theme.colours.color9};
        box-shadow: 0 0 2em ${this.props.theme.colours.color3};
        border: 1px solid ${this.props.theme.colours.color3};
        overflow: auto;
    `;
        return (
            <OverlayWrapper>
                <GlobalStyle/>
                {this.props.children}
            </OverlayWrapper>
        )
    }
}

export default withTheme(Overlay)
